Yes, I have found it to work well. It is probably the best way to install these packages on Mac. <br><br><div>I have found that a few things do not install. I think wxpython was one of those. Some packages are not available at Mac ports so you should install those using pip or easyinstall with the --user flag which install them in your home directory. </div>
<div>Dave</div><div><br></div><div><br></div><div><br><div class="gmail_quote">On Mon, Nov 28, 2011 at 10:18 AM, Thomas Robitaille <span dir="ltr">&lt;<a href="mailto:thomas.robitaille@gmail.com">thomas.robitaille@gmail.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">I was wondering whether anyone has used the instructions below to<br>
install Python on 10.7 using MacPorts, and if so, whether everything<br>
works fine?<br>
<br>
Tom<br>
<br>
On 25 July 2011 18:36, Thomas Robitaille &lt;<a href="mailto:thomas.robitaille@gmail.com">thomas.robitaille@gmail.com</a>&gt; wrote:<br>
&gt; Hi Everyone,<br>
&gt;<br>
&gt; Earlier this year I was given commit privileges to the MacPorts<br>
&gt; (<a href="http://www.macports.org/" target="_blank">http://www.macports.org/</a>) package index, and I&#39;ve already added a few<br>
&gt; Astronomy Python packages. After moved between various install methods<br>
&gt; in the last couple of years (system Python, EPD, source install,<br>
&gt; <a href="http://python.org" target="_blank">python.org</a> distribution, ...) I&#39;ve now settled on using the Python<br>
&gt; distribution from MacPorts. One of my main reasons for doing this is<br>
&gt; that I needed some complex packages (Qt and GTK+) which are not<br>
&gt; included in EPD, and by far the easiest way to install them has been<br>
&gt; through MacPorts. However, I believe a MacPorts Python distribution<br>
&gt; can still be very useful even if you don&#39;t need these packages, so<br>
&gt; I&#39;ve compiled a list of simple instructions to set up a full Python<br>
&gt; distribution using MacPorts on Mac:<br>
&gt;<br>
&gt; <a href="http://astrofrog.github.com/macports-python/" target="_blank">http://astrofrog.github.com/macports-python/</a><br>
&gt;<br>
&gt; Updating packages is easy, and dependencies are automatically taken<br>
&gt; care of. For now I recommend using Python 2.7 as indicated in the<br>
&gt; instructions. I would welcome any feedback, especially if you run into<br>
&gt; issues, and would also welcome suggestions for other packages to add.<br>
&gt; For new packages you can either email me directly or open a ticket on<br>
&gt; MacPorts and cc <a href="mailto:robitaille@macports.org">robitaille@macports.org</a> on the ticket. To report<br>
&gt; issues with the instructions, open an issue at:<br>
&gt;<br>
&gt; <a href="https://github.com/astrofrog/macports-python" target="_blank">https://github.com/astrofrog/macports-python</a><br>
&gt;<br>
&gt; Note that it&#39;s possible/easy to install several Python versions with<br>
&gt; MacPorts at the same time and you can switch which one is the default<br>
&gt; with &#39;port select&#39;, or call the version you want directly with<br>
&gt; ipython-3.1 for example. This makes it ideal if you want to be able to<br>
&gt; test your code using different python versions or want to experiment<br>
&gt; with Python 3.<br>
&gt;<br>
&gt; Cheers,<br>
&gt; Thomas<br>
&gt;<br>
_______________________________________________<br>
AstroPy mailing list<br>
<a href="mailto:AstroPy@scipy.org">AstroPy@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/astropy" target="_blank">http://mail.scipy.org/mailman/listinfo/astropy</a><br>
</blockquote></div><br></div>